# Class CANameMatchConverter

java.lang.Object
com.io7m.cardant.shell.internal.converters.CANameMatchConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<CANameMatchFuzzy>`

public final class CANameMatchConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<CANameMatchFuzzy>
A value converter for name match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CANameMatchConverter(CAStrings inStrings)`
  Construct a converter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<CANameMatchFuzzy>`
  `convertedClass()`
  `CANameMatchFuzzy`
  `convertFromString(String text)`
  `String`
  `convertToString(CANameMatchFuzzy value)`
  `CANameMatchFuzzy`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CANameMatchConverter

    public CANameMatchConverter(CAStrings inStrings)
    Construct a converter.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### convertFromString

    public CANameMatchFuzzy convertFromString(String text) throws com.io7m.quarrel.core.QException
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<CANameMatchFuzzy>`
    Throws:
      `com.io7m.quarrel.core.QException`

  - ### convertToString

    public String convertToString(CANameMatchFuzzy value) throws com.io7m.quarrel.core.QException
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<CANameMatchFuzzy>`
    Throws:
      `com.io7m.quarrel.core.QException`

  - ### exampleValue

    public CANameMatchFuzzy exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<CANameMatchFuzzy>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<CANameMatchFuzzy>`

  - ### convertedClass

    public Class<CANameMatchFuzzy> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<CANameMatchFuzzy>`